from dataclasses import dataclass, field

@dataclass
class CausalState :
	name      : str
	classes   : set[str] = field(default_factory=set)
	isomorphs : set[str] = field(default_factory=set)

	def add_class( self, class_name ) :
		self.classes.add( class_name )

	def add_isomorph( self, state_name ) :
		self.isomorphs.add( state_name )
